Bug 118117 - mozilla autodetect CJK character coding
mozilla autodetect CJK character coding
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-11 23:00 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-12 17:22:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2004-03-11 23:00:48 EST
Description of problem:
With a default Japanese install, when one visits
badly configured sites with mozilla in a ja locale
it displays garbage text rather than Japanese,
since it defaulting to Latin1 encoding

How reproducible:
everytime

Steps to Reproduce:
1. http://www.tv-asahi.co.jp/asanama/video/
  
Actual results:
ƒtƒZƒCƒ“Œ³‘哝—̂̐g•¿S‘©‚̃jƒ…[ƒX‚́A“DÀ‰»‚

Expected results:
Japanese text

Additional info:
Would it be possible to turn on autodetect for CJK languages
by default when mozilla is running in a CJK locale? :)
Comment 1 Christopher Blizzard 2004-03-12 17:22:56 EST
That code is already on.  We try to do autodection, no matter what
language you are in.  Of course, it's a guess so sometimes it gets it
wrong.

Note You need to log in before you can comment on or make changes to this bug.